/*
 * Copyright (C) by Argonne National Laboratory
 *     See COPYRIGHT in top-level directory
 *
 * DO NOT EDIT: AUTOMATICALLY GENERATED FILE !!
 */

#include <stdio.h>
#include <stdlib.h>
#include <wchar.h>
#include "yaksi.h"
#include "yaksu.h"
#include "yaksuri_seqi.h"
#include "yaksuri_seqi_populate_pupfns.h"
#include "yaksuri_seqi_pup.h"

int yaksuri_seqi_populate_pupfns_blkhindx_builtin(yaksi_type_s * type)
{
    int rc = YAKSA_SUCCESS;
    yaksuri_seqi_type_s *seq = (yaksuri_seqi_type_s *) type->backend.seq.priv;
    
    char *str = getenv("YAKSA_ENV_MAX_NESTING_LEVEL");
    int max_nesting_level;
    if (str) {
        max_nesting_level = atoi(str);
    } else {
        max_nesting_level = YAKSI_ENV_DEFAULT_NESTING_LEVEL;
    }
    
    switch (type->u.blkhindx.child->id) {
        case YAKSA_TYPE__CHAR:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_char;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_char;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_char;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_char;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_char;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_char;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_char;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_char;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_char;
            }
            break;
        }
        break;
        case YAKSA_TYPE__WCHAR_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_wchar_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_wchar_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_wchar_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_wchar_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_wchar_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_wchar_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_wchar_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_wchar_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_wchar_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_wchar_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__INT:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int;
            }
            break;
        }
        break;
        case YAKSA_TYPE__SHORT:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_short;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_short;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_short;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_short;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_short;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_short;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_short;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_short;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_short;
            }
            break;
        }
        break;
        case YAKSA_TYPE__LONG:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_long;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_long;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_long;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_long;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_long;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_long;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_long;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_long;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_long;
            }
            break;
        }
        break;
        case YAKSA_TYPE__LONG_LONG:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_long_long;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_long_long;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_long_long;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_long_long;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_long_long;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_long_long;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_long_long;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_long_long;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_long_long;
            }
            break;
        }
        break;
        case YAKSA_TYPE__INT8_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int8_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int8_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int8_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int8_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int8_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int8_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int8_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int8_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int8_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__INT16_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int16_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int16_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int16_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int16_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int16_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int16_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int16_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int16_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int16_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__INT32_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int32_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int32_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int32_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int32_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int32_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int32_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int32_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int32_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int32_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__INT64_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int64_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int64_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int64_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int64_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int64_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int64_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int64_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int64_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int64_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__FLOAT:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_float;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_float;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_float;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_float;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_float;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_float;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_float;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_float;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_float;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_float;
            }
            break;
        }
        break;
        case YAKSA_TYPE__DOUBLE:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_double;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_double;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_double;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_double;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_double;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_double;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_double;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_double;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_double;
            }
            break;
        }
        break;
        case YAKSA_TYPE__LONG_DOUBLE:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_long_double;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_long_double;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_long_double;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_long_double;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_long_double;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_long_double;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_long_double;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_long_double;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_long_double;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_long_double;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UNSIGNED_LONG_LONG:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_long_long;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_long_long;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_long_long;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_long_long;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_long_long;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_long_long;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_long_long;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_long_long;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_long_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_long_long;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UINT8_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int8_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int8_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int8_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int8_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int8_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int8_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int8_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int8_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int8_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UINT64_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int64_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int64_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int64_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int64_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int64_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int64_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int64_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int64_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int64_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int64_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UINT16_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int16_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int16_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int16_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int16_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int16_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int16_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int16_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int16_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int16_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int16_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UNSIGNED_CHAR:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_char;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_char;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_char;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_char;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_char;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_char;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_char;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_char;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_char;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_char;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UNSIGNED_LONG:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_long;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_long;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_long;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_long;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_long;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_long;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_long;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_long;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_long;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_long;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UNSIGNED_SHORT:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_short;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_short;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_short;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_short;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_short;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_short;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_short;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_short;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_short;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_short;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UNSIGNED:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int;
            }
            break;
        }
        break;
        case YAKSA_TYPE__BYTE:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int8_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int8_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int8_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int8_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int8_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int8_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int8_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int8_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int8_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int8_t;
            }
            break;
        }
        break;
        case YAKSA_TYPE__UINT32_T:
        switch (type->u.blkhindx.blocklength) {
            case 1:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_1_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_1_int32_t;
            }
            break;
            case 2:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_2_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_2_int32_t;
            }
            break;
            case 3:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_3_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_3_int32_t;
            }
            break;
            case 4:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_4_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_4_int32_t;
            }
            break;
            case 5:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_5_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_5_int32_t;
            }
            break;
            case 6:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_6_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_6_int32_t;
            }
            break;
            case 7:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_7_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_7_int32_t;
            }
            break;
            case 8:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_8_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_8_int32_t;
            }
            break;
            default:
            if (max_nesting_level >= 1) {
                seq->pack = yaksuri_seqi_pack_blkhindx_blklen_generic_int32_t;
                seq->unpack = yaksuri_seqi_unpack_blkhindx_blklen_generic_int32_t;
            }
            break;
        }
        break;
        default:
            break;
    }
    
    return rc;
}
